#!/bin/sh

post_install() {
  echo "    ***          ***         ***  "
  echo "      IMPORTANT  -  ACTION REQUIRED "
  echo "    ***          ***         ***  "
  echo "  Non-sf compatible packages with an epoch : on the pkgver"
  echo "  can not be placed on SourceForge repositories."
  echo "  This script makes sure that temporarily, if needed they"
  echo "  will be found in your /var/cache/pacman/pkg/ cache so you"
  echo "  will not get a 404 error from the server."
  echo "  The following script will download a tar ball with 37 pkgs"
  echo "  explode them into /tmp/sf01/ then move them to your cache"
  echo "  "
  echo "  To do so you must run the script stored now in /tmp/sf01"
  echo "    ***          ***         ***  "
  echo "  "
  echo "  % sudo sh non-sf.sh "
  echo "  "
  echo "    ***          ***         ***  "
  echo "  It takes a few minutes depending on the speed of your "
  echo "  connection and at the end it list the contents (tar ball)"
  echo "  of /tmp/sf01 "
  read
  mkdir -p /tmp/sf01
  cd /tmp/sf01
  # wget http://downloads.sourceforge.net/joborun/r/non-sf-pkgs.tar.xz
  # tar -xf non-sf-pkgs.tar.xz 2>/dev/null
  # mv -f ./*pkg.tar.*z /var/cache/pacman/pkg/ 2>/dev/null
  ls -lh /tmp/sf01

}

post_upgrade() {
  echo "    ***          ***         ***  "
  echo "      IMPORTANT  -  ACTION REQUIRED "
  echo "    ***          ***         ***  "
  echo "  Non-sf compatible packages with an epoch : on the pkgver"
  echo "  can not be placed on SourceForge repositories."
  echo "  This script makes sure that temporarily, if needed they"
  echo "  will be found in your /var/cache/pacman/pkg/ cache so you"
  echo "  will not get a 404 error from the server."
  echo "  The following script will download a tar ball with 37 pkgs"
  echo "  explode them into /tmp/sf01/ then move them to your cache"
  echo "  "
  echo "  To do so you must run the script stored now in /tmp/sf01"
  echo "    ***          ***         ***  "
  echo "  "
  echo "  % sudo sh non-sf.sh "
  echo "  "
  echo "    ***          ***         ***  "
  echo "  It takes a few minutes depending on the speed of your "
  echo "  connection and at the end it list the contents (tar ball)"
  echo "  of /tmp/sf01 "
  read
  mkdir -p /tmp/sf01
  cd /tmp/sf01
  # wget http://downloads.sourceforge.net/joborun/r/non-sf-pkgs.tar.xz
  # tar -xf non-sf-pkgs.tar.xz 2>/dev/null
  # mv -f ./*pkg.tar.*z /var/cache/pacman/pkg/ 2>/dev/null
  ls -lh /tmp/sf01

}
